var fs = require('fs')
var sass = require('node-sass')

var settings =
  { file: 'sass/style.scss'
  , outFile: 'bin/style.css'
  }

function compile () {
  try {
    sass.render(settings, function (err, result) {
      if (err) {
        console.log(err)
        return
      }

      fs.writeFile(settings.outFile, result.css, function (err) {
        if (err) {
          console.log(err)
          return
        }

        console.log('SASS Compiled')
       })

    })

  } catch (err) {
    console.log(err)

  }
}

try {
  compile()
} finally {
  fs.watch('sass', compile)
}
